<?php
// +----------------------------------------------------------------------
// | CatchAdmin [Just Like ～ ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017~{$year} http://catchadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( https://github.com/yanwenwu/catch-admin/blob/master/LICENSE.txt )
// +----------------------------------------------------------------------
// | Author: JaguarJack [ njphper@gmail.com ]
// +----------------------------------------------------------------------

// you should use `$router`
$router->group(function () use ($router){
	
	$router->post('AlarmRecords/handleAlarm', '\catchAdmin\alarm\controller\AlarmRecords@handleAlarm');
	// alarmRecords路由
	$router->resource('AlarmRecords', '\catchAdmin\alarm\controller\AlarmRecords');
	// alarmReport路由
	$router->resource('AlarmReport', '\catchAdmin\alarm\controller\AlarmReport');
	//根据微信用户获取该设备告警
	$router->post('AlarmRecords/getAlarmRecordsbyId','\catchAdmin\alarm\controller\AlarmRecords@getAlarmRecordsbyId');
	//微信获取告警详情
	$router->post('AlarmRecords/getAlarmDetail','\catchAdmin\alarm\controller\AlarmRecords@getAlarmDetail');
	
	// controlManage路由
	$router->resource('controlManage', '\catchAdmin\alarm\controller\ControlManage');
	$router->post('updateControlState','\catchAdmin\alarm\controller\ControlManage@updateControlState');
	
	// bwList路由
	$router->resource('bwList', '\catchAdmin\alarm\controller\BwList');
	// rfidWithBw路由
	$router->resource('rfidWithBw', '\catchAdmin\alarm\controller\RfidWithBw');
	// controlAalrm路由
	$router->resource('controlAlarm', '\catchAdmin\alarm\controller\ControlAlarm');
	$router->get('totalAlarmAddress', '\catchAdmin\alarm\controller\ControlAlarm@totalAlarmAddress');
	$router->get('getTodayAlarmlist', '\catchAdmin\alarm\controller\ControlAlarm@getTodayAlarmlist');
})->middleware('auth');

$router->group('alarmReport', function () use ($router){
	$router->get('getDetail/:id', '\catchAdmin\alarm\controller\AlarmReport@detail');
	$router->get('totalGrowth', '\catchAdmin\alarm\controller\AlarmReport@totalGrowth');
	
	
})->middleware('auth');